Name:		xmbdfed
Summary:	Bitmap Font Editor
Version:	4.7
Release:	%mkrel 14
License:	MIT
Group:		Publishing
URL:		http://crl.nmsu.edu/~mleisher/%{name}.html

Source0:	http://crl.nmsu.edu/~mleisher/%{name}-%{version}.tar.bz2
Source1:	http://crl.nmsu.edu/~mleisher/%{name}.png
Source2:	%{name}.desktop

Patch0:		http://crl.nmsu.edu/~mleisher/%{name}-4.7-patch1
Patch1:		xmbdfed-4.7-linux.patch
Patch2:		xmbdfed-4.7-staticfix.patch
Patch3:		xmbdfed-4.7-getline.patch
Patch4:		xmbdfed-4.7-mga-format-security_bdf.c.patch
Patch5:		xmbdfed-build-flags.patch
Patch6:		xmbdfed-4.7-gcc10.patch
Patch7:		xmbdfed-4.7-gcc15.patch
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	motif-devel
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	desktop-file-utils
Requires:	x11-font-misc-misc

%description
The XmBDFEditor lets you interactively create new bitmap font files or
modify existing ones. It allows editing multiple fonts and multiple
glyphs, it allows cut and paste operations between fonts and glyphs and
editing font properties. The editor works natively with BDF fonts.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m0755 %{name} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m0644 %{name}.man %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications/ %{SOURCE2}

%files
%doc README %{name}rc CHANGES
%license COPYRIGHTS
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}*


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 4.7-14.mga10
+ Revision: 2246855
- add fedora patch to fix build with gcc15
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 4.7-13.mga9
+ Revision: 1835284
- Mageia 9 Mass Rebuild

* Sat May 16 2020 danf <danf> 4.7-12.mga8
+ Revision: 1584216
- Fix multiple definition errors with gcc 10

* Tue Apr 21 2020 wally <wally> 4.7-11.mga8
+ Revision: 1570465
- add patch to use our compiler flags (fix overlinking)

* Tue Mar 31 2020 pterjan <pterjan> 4.7-10.mga8
+ Revision: 1562480
- Fix BuildRequires, it uses another ice
- Rebuild for new ice

* Tue Feb 11 2020 umeabot <umeabot> 4.7-8.mga8
+ Revision: 1489135
- Mageia 8 Mass Rebuild

* Tue Sep 11 2018 wally <wally> 4.7-7.mga7
+ Revision: 1258435
- rebuild for aarch64

* Fri Jun 08 2018 wally <wally> 4.7-6.mga7
+ Revision: 1235483
- build with motif instead of lesstif

* Wed Feb 03 2016 umeabot <umeabot> 4.7-5.mga6
+ Revision: 933360
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.7-4.mga5
+ Revision: 741701
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.7-3.mga5
+ Revision: 690691
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.7-2.mga4
+ Revision: 522609
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 barjac <barjac> 4.7-1.mga3
+ Revision: 404720
- spec cleanup
- fix build (patched for format-security errors)
- changed group
- import xmbdfed from fedora


* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 4.7-7
- actually apply patch3

* Wed Aug  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 4.7-6
- fix function naming conflict of "getline" with stdio.h

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-3
- add -p to install to preserve timestamps
- add BR: desktop-file-utils

* Mon Dec  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-2
- correct usage of defattr
- add Requires: xorg-x11-fonts-misc
- fix desktop file

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.7-1
- initial Fedora package
